Multicat(1)

NAME
multicat - Multicast equivalent of Netcat

SYNOPSIS
multicat [-i <RT priority>] [-t <ttl>] [-f] [-p <PCR PID>] [-s <chunks>] [-n <chunks>] [-k <start time>] [-d <duration>] [-a] [-r <file duration>] [-S <SSRC IP>] [-u] [-U] [-m <payload size>] <input item> <output item>

DESCRIPTION
Multicat is a 1 input/1 output application. Inputs and outputs can be network streams (unicast and multicast, IPv4 and IPv6), files, directories, character devices or FIFOs. It is thought to be a multicast equivalent of the popular netcat tool.

Multicat tries to rebuild the internal clock of the input stream; but it wants to remain agnostic of what is transported, so in case of files and directories, the said clock is stored to an auxiliary file (example.aux accompanies example.ts) while recording. Other inputs are considered "live", and the input clock is simply derived from the reception time of the packets.

ITEMS
Item format <file path | device path | FIFO path | network host>

Host format [<connect addr>[:<connect port>]][@[<bind addr][:<bind port>]][/<options>]

OPTIONS
-a Append to existing destination file (risky)

-d <duration>
    Exit after a definite time (in 27 MHz units)

-f  Output packets as fast as possible

-h  Show summary of options

-i <RT priority>
    Real time priority

-k <time>
    Start at the given position (in 27 MHz units, negative = from the end)

-m <payload size>
    Size of the payload chunk, excluding optional RTP header (default 1316)

-n <chunks>
    Exit after playing N chunks of payload

-p <PCR PID>
    PCR PID

-r <duration>
    In directory mode, rotate file after this duration (default: 97200000000 ticks = 1 hour)

-s <chunks>
    Skip the first N chunks of payload

-S <SSRC IP>
    Overwrite or create RTP SSRC

-t <ttl>
    TTL of the packets send by multicat

-u  Source has no RTP header

-U  Destination has no RTP header

-X  Pass-thought all packets to stdout

SEE ALSO
aggregartp(1), reordertp(1). ingests(1). offsets(1).
Read the README file for more information about the configuration of multicat.

AUTHOR
multicat was written by Christophe Massiot.

LICENCE
This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License as published by the Free Software Foundation.

This manual page was written by Rémi Duraffort <ivoire at videolan dot org>, for the Debian project (and may be used by others).